CVE-2023-46735: Potential XSS in WebhookController

Affected versions

Symfony versions >=6.3.0, <6.3.8 of the Symfony Webhook component are affected
by this security issue.

The issue has been fixed in Symfony 6.3.8.

Description

The error message in WebhookController returns unescaped user-submitted input.

Resolution

WebhookController now doesn’t return any user-submitted input in its response.

The patch for this issue is available here for branch 6.3.

Credits

We would like to thank Maxime Aknin for reporting the issue and to Nicolas Grekas for providing the fix.

Sponsor the Symfony project.

Symfony Blog

Read More

Latest News

PHP-Releases

PHP 8.3.9 released!

PHP 8.2.21 released!

PHP 8.1.29 released!

Generated by Feedzy